import { whenElse } from '@genesislcap/foundation-utils';
import { html, ref, when } from '@microsoft/fast-element';
import { endSlotTemplate, startSlotTemplate, TabsOrientation } from '@microsoft/fast-foundation';
export const zeroStepperTabTemplate = (context, definition) => html `
  <template slot="tab" role="stepper-tab" aria-disabled="${(x) => x.disabled}">
    ${startSlotTemplate(context, definition)}
    ${whenElse((x) => x.orientation === TabsOrientation.vertical, html `
        <zero-tree-item ${ref('treeItem')} class="tree-item">
          ${when((x) => x.completed, html `
              <zero-icon
                name="check-circle"
                variant="regular"
                size="lg"
                class="completed-icon"
              ></zero-icon>
            `)}
          ${when((x) => x.error, html `
              <zero-icon
                name="times-circle"
                variant="regular"
                size="lg"
                class="error-icon"
              ></zero-icon>
            `)}
          <slot></slot>
        </zero-tree-item>
      `, html `
        <div class="step-number-container">
          <span class="step-number">${(x) => x.tabPosition}</span>
          <slot class="step-title"></slot>
          ${when((x) => !x.isLast, html `
              <zero-icon
                class="angle-icon"
                name="angle-right"
                variant="solid"
                size="lg"
              ></zero-icon>
            `)}
        </div>
      `)}
    ${endSlotTemplate(context, definition)}
  </template>
`;
